package com.ruoyi.model.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.model.domain.OmsOrderEvaluation;
import com.ruoyi.model.mapper.OmsOrderEvaluationMapper;
import com.ruoyi.model.service.IOmsOrderEvaluationService;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;

@Service
public class OmsOrderEvaluationServiceImpl extends ServiceImpl<OmsOrderEvaluationMapper, OmsOrderEvaluation> implements IOmsOrderEvaluationService {

    @Override
    public OmsOrderEvaluation selectOmsOrderEvaluationById(Long id) {
        return getById(id);
    }

    @Override
    public List<OmsOrderEvaluation> selectOmsOrderEvaluationList(OmsOrderEvaluation omsOrderEvaluation) {
        return list();
    }

    @Override
    public boolean insertOmsOrderEvaluation(OmsOrderEvaluation omsOrderEvaluation) {
        return save(omsOrderEvaluation);
    }

    @Override
    public int updateOmsOrderEvaluation(OmsOrderEvaluation omsOrderEvaluation) {
        return updateOmsOrderEvaluation(omsOrderEvaluation);
    }

    @Override
    public boolean deleteOmsOrderEvaluationByIds(Long[] ids) {
        return removeByIds(Arrays.asList(ids));
    }

    @Override
    public boolean deleteOmsOrderEvaluationById(Long id) {
        return removeById(id);
    }
}
